using Telerik.Windows.Controls;

namespace AgApp
{
	public class MyLocalizationManager : LocalizationManager
	{
		public override string GetStringOverride(string key)
		{
			switch (key)
			{
				//---------------------- RadUpload:
				case "UploadBrowse":
					return "Избери";
				case "UploadUpload":
					return "Качвай";
				case "UploadPause":
					return "Задръж";
				case "UploadResume":
					return "Аре пак";
				case "UploadCancel":
					return "Отказ";
				case "UploadTotal":
					return "Общо";
				case "UploadCaptionSelect":
					return "Избери файлове за качване";
				case "UploadCaptionSelected":
					return "Избрани файлове:";
				case "UploadCaptionUploading":
					return "Качване...";
				case "UploadCaptionUploaded":
					return "Готово";
				//---------------------- RadColorSelector & RadColorPicker:
				case "ColorPickerAutomatic":
					return "Авто:";
				case "ColorPickerThemeColors":
					return "Цветове на темата";
				case "ColorPickerStandardColors":
					return "Стандартни цветове";
				//---------------------- RadTreeView:
				case "TreeViewDropIn":
					return "Пусни във ";
				case "TreeViewDropAfter":
					return "Пусни след ";
				case "TreeViewDropBefore":
					return "Пусни преди ";
				//---------------------- RadMediaPlayer:
				case "MediaPlayerTimeStatusSeparator":
					return " от ";
				case "MediaPlayerTooltipTitle":
					return "Заглавие";
				case "MediaPlayerTooltipMute":
					return "Тишина";
				case "MediaPlayerTooltipNextChapter":
					return "Следващ Пасаж";
				case "MediaPlayerTooltipPlay":
					return "Пусни / Задръж";
				case "MediaPlayerTooltipPlaylist":
					return "Покажи / скрий списъка";
				case "MediaPlayerTooltipPreviousChapter":
					return "Предишен Пасаж";
				case "MediaPlayerTooltipStop":
					return "Спри";
				case "MediaPlayerTooltipVolume":
					return "Сила на звука";
				////---------------------- Elements in Demo Page:
				case "DemoBtnNavigateToIndex":
					return "Navigate to index page-BG";
				case "DemoBtnOpenTestPage":
					return "Open test page-BG";
				case "DemoLocalizedTextBlock":
					return "BG - This text depends on chosen localization";
			}
			return base.GetStringOverride(key);
		}
	}
}
